Table of Contents

Class: InputText | Twisted-0.17.4/twisted/manhole/ui/gtkmanhole.py
--- | ---

Base Classes |
--- | ---
gtk.GtkText

Methods |
--- | ---
__init__ clear historyDown historyUp processKey readHistoryFile sendMessage set_positionLineOffset writeHistoryFile
| __init__

    __init__ ( self,  toplevel=None )

| clear

    clear ( self )

| historyDown

    historyDown ( self )

| historyUp

    historyUp ( self )

| processKey

    processKey (
            self,
            entry,
            event,
            )

| readHistoryFile

    readHistoryFile ( self,  filename=None )

| sendMessage

    sendMessage ( self,  unused_data=None )

| set_positionLineOffset

    set_positionLineOffset (
            self,
            line,
            offset,
            )

| writeHistoryFile

    writeHistoryFile ( self,  filename=None )

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:57 2002 by HappyDoc version 2.0